Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.image
Class RGBImage

    java.lang.Object
      edu.wpi.first.wpilibj.image.Image
          edu.wpi.first.wpilibj.image.ColorImage
              edu.wpi.first.wpilibj.image.RGBImage

    public class RGBImage

extends ColorImage

A color image represented in RGB color space at 3 bytes per pixel.

Author:
  dtjones

Field Summary

Fields inherited from class edu.wpi.first.wpilibj.image.Image
`image`

Constructor Summary
`RGBImage()` Create a new 0x0 image.
`RGBImage(String fileName)` Create a new image by loading a file.

Method Summary

Methods inherited from class edu.wpi.first.wpilibj.image.ColorImage
`colorEqualize, getBluePlane, getGreenPlane, getHSIHuePlane, getHSISaturationPlane, getHSLHuePlane, getHSLSaturationPlane, getHSVHuePlane, getHSVSaturationPlane, getIntensityPlane, getLuminancePlane, getRedPlane, getValuePlane, luminanceEqualize, replaceBluePlane, replaceGreenPlane, replaceHSIHuePlane, replaceHSISaturationPlane, replaceHSLHuePlane, replaceHSLSaturationPlane, replaceHSVHuePlane, replaceHSVSaturationPlane, replaceIntensityPlane, replaceLuminancePlane, replaceRedPlane, replaceValuePlane, thresholdHSI, thresholdHSL, thresholdHSV, thresholdRGB`

Methods inherited from class edu.wpi.first.wpilibj.image.Image
`free, getHeight, getWidth, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RGBImage

    public RGBImage()
             throws NIVisionException

  Create a new 0x0 image.

  Throws:
    `NIVisionException`

### RGBImage

    public RGBImage(String fileName)
             throws NIVisionException

  Create a new image by loading a file.

  Parameters:
    `fileName` - The path of the file to load.
  Throws:
    `NIVisionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"